Index: c/src/lib/libbsp/powerpc/dmv177/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/dmv177/ChangeLog	(revision 3d04f8ba1e21081ee08d84fd6e83813b82bbebe5)
+++ c/src/lib/libbsp/powerpc/dmv177/ChangeLog	(revision ed9e44994265d3dccca845c7aade2f634184c339)
@@ -1,2 +1,9 @@
+2004-03-31	Ralf Corsepius <ralf_corsepius@rtems.org>
+
+	* clock/clock.c, console/conscfg.c, console/debugio.c,
+	include/bsp.h, include/dmv170.h, scv64/scv64.c, sonic/dmvsonic.c,
+	startup/bspstart.c, startup/genpvec.c, startup/vmeintr.c,
+	timer/timer.c, tod/todcfg.c: Convert to using c99 fixed size types.
+
 2004-02-19	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/powerpc/dmv177/clock/clock.c
===================================================================
--- c/src/lib/libbsp/powerpc/dmv177/clock/clock.c	(revision 3d04f8ba1e21081ee08d84fd6e83813b82bbebe5)
+++ c/src/lib/libbsp/powerpc/dmv177/clock/clock.c	(revision ed9e44994265d3dccca845c7aade2f634184c339)
@@ -34,5 +34,5 @@
  */
 
-volatile rtems_unsigned32 Clock_driver_ticks;
+volatile uint32_t   Clock_driver_ticks;
 
 /*
@@ -40,5 +40,5 @@
  */
 
-rtems_unsigned32 Clock_Decrementer_value;
+uint32_t   Clock_Decrementer_value;
 
 /*
@@ -209,5 +209,5 @@
 )
 {
-    rtems_unsigned32 isrlevel;
+    uint32_t   isrlevel;
     rtems_libio_ioctl_args_t *args = pargp;
  
Index: c/src/lib/libbsp/powerpc/dmv177/console/conscfg.c
===================================================================
--- c/src/lib/libbsp/powerpc/dmv177/console/conscfg.c	(revision 3d04f8ba1e21081ee08d84fd6e83813b82bbebe5)
+++ c/src/lib/libbsp/powerpc/dmv177/console/conscfg.c	(revision ed9e44994265d3dccca845c7aade2f634184c339)
@@ -161,5 +161,5 @@
 		NULL, /* unused */		/* getData */
 		NULL, /* unused */		/* setData */
-                (unsigned32)dmv177_mc68681_baud_table, /* ulClock */
+                (uint32_t)dmv177_mc68681_baud_table, /* ulClock */
 		DMV170_DUART_IRQ		/* ulIntVector */
 	},
@@ -180,5 +180,5 @@
 		NULL, /* unused */		/* getData */
 		NULL, /* unused */		/* setData */
-                (unsigned32)dmv177_mc68681_baud_table, /* ulClock */
+                (uint32_t)dmv177_mc68681_baud_table, /* ulClock */
 		DMV170_DUART_IRQ		/* ulIntVector */
 	},
@@ -242,9 +242,9 @@
 boolean dmv177_z85c30_probe(int minor)
 {
-  volatile unsigned32 *dma_control_status_reg;
-  volatile unsigned16 *card_resource_reg;
-  unsigned16 v;
-
-  card_resource_reg = (volatile unsigned16 *) DMV170_CARD_RESORCE_REG;
+  volatile uint32_t   *dma_control_status_reg;
+  volatile uint16_t   *card_resource_reg;
+  uint16_t   v;
+
+  card_resource_reg = (volatile uint16_t*) DMV170_CARD_RESORCE_REG;
 
   v = *card_resource_reg & DMV170_SCC_INST_MASK;
@@ -257,5 +257,5 @@
    */
 
-  dma_control_status_reg = (volatile unsigned32 *)DMV170_DMA_CONTROL_STATUS_REG;
+  dma_control_status_reg = (volatile uint32_t*)DMV170_DMA_CONTROL_STATUS_REG;
 
   if ( *dma_control_status_reg & DMV170_SCC_10MHZ )
@@ -269,8 +269,8 @@
 boolean dmv177_mc68681_probe(int minor)
 {
-  volatile unsigned16 *card_resource_reg;
-  unsigned16 v;
-
-  card_resource_reg = (volatile unsigned16 *) DMV170_CARD_RESORCE_REG;
+  volatile uint16_t   *card_resource_reg;
+  uint16_t   v;
+
+  card_resource_reg = (volatile uint16_t*) DMV170_CARD_RESORCE_REG;
 
   v = *card_resource_reg & DMV170_DUART_INST_MASK;
Index: c/src/lib/libbsp/powerpc/dmv177/console/debugio.c
===================================================================
--- c/src/lib/libbsp/powerpc/dmv177/console/debugio.c	(revision 3d04f8ba1e21081ee08d84fd6e83813b82bbebe5)
+++ c/src/lib/libbsp/powerpc/dmv177/console/debugio.c	(revision ed9e44994265d3dccca845c7aade2f634184c339)
@@ -61,5 +61,5 @@
 {
   char *s;
-  unsigned32  Irql;
+  uint32_t    Irql;
 
   rtems_interrupt_disable(Irql);
@@ -90,9 +90,9 @@
 
 void DEBUG_puth(
-  unsigned32 ulHexNum
+  uint32_t   ulHexNum
 )
 {
   unsigned long  i,d;
-  unsigned32      Irql;
+  uint32_t        Irql;
   void          (*poll)(int minor, char cChar);
   
Index: c/src/lib/libbsp/powerpc/dmv177/include/bsp.h
===================================================================
--- c/src/lib/libbsp/powerpc/dmv177/include/bsp.h	(revision 3d04f8ba1e21081ee08d84fd6e83813b82bbebe5)
+++ c/src/lib/libbsp/powerpc/dmv177/include/bsp.h	(revision ed9e44994265d3dccca845c7aade2f634184c339)
@@ -90,5 +90,5 @@
 #define Cause_tm27_intr()  \
   do { \
-    unsigned32 _clicks = 1; \
+    uint32_t   _clicks = 1; \
     asm volatile( "mtdec %0" : "=r" ((_clicks)) : "r" ((_clicks)) ); \
   } while (0)
@@ -96,6 +96,6 @@
 #define Clear_tm27_intr() \
   do { \
-    unsigned32 _clicks = 0xffffffff; \
-    unsigned32 _msr = 0; \
+    uint32_t   _clicks = 0xffffffff; \
+    uint32_t   _msr = 0; \
     _ISR_Set_level( 0 ); \
     asm volatile( "mfmsr %0 ;" : "=r" (_msr) : "r" (_msr) ); \
@@ -107,5 +107,5 @@
 #define Lower_tm27_intr() \
   do { \
-    unsigned32 _msr = 0; \
+    uint32_t   _msr = 0; \
     _ISR_Set_level( 0 ); \
     asm volatile( "mfmsr %0 ;" : "=r" (_msr) : "r" (_msr) ); \
@@ -189,5 +189,5 @@
 extern rtems_cpu_table           Cpu_table;             /* owned by BSP */
 
-extern rtems_unsigned32          bsp_isr_level;
+extern uint32_t            bsp_isr_level;
 
 extern int   CPU_PPC_CLICKS_PER_MS;
Index: c/src/lib/libbsp/powerpc/dmv177/include/dmv170.h
===================================================================
--- c/src/lib/libbsp/powerpc/dmv177/include/dmv170.h	(revision 3d04f8ba1e21081ee08d84fd6e83813b82bbebe5)
+++ c/src/lib/libbsp/powerpc/dmv177/include/dmv170.h	(revision ed9e44994265d3dccca845c7aade2f634184c339)
@@ -80,8 +80,8 @@
 
 #define DMV170_WRITE( _reg, _data ) \
-   *((volatile rtems_unsigned16 *)(_reg)) = (_data)
+   *((volatile uint16_t*)(_reg)) = (_data)
 
 #define DMV170_READ( _reg, _data ) \
-   (_data) = *((volatile rtems_unsigned16 *)(_reg))
+   (_data) = *((volatile uint16_t*)(_reg))
 
 /*
@@ -278,6 +278,6 @@
 
 void SCV64_Generate_DUART_Interrupts();
-rtems_unsigned32 SCV64_Get_Interrupt();
-rtems_unsigned32 SCV64_Get_Interrupt_Enable();
+uint32_t   SCV64_Get_Interrupt();
+uint32_t   SCV64_Get_Interrupt_Enable();
 
 #ifdef __cplusplus
Index: c/src/lib/libbsp/powerpc/dmv177/scv64/scv64.c
===================================================================
--- c/src/lib/libbsp/powerpc/dmv177/scv64/scv64.c	(revision 3d04f8ba1e21081ee08d84fd6e83813b82bbebe5)
+++ c/src/lib/libbsp/powerpc/dmv177/scv64/scv64.c	(revision ed9e44994265d3dccca845c7aade2f634184c339)
@@ -15,68 +15,68 @@
 typedef struct {
   /* DARF Registers */
-  volatile rtems_unsigned32  DMALAR;             /* 0x00 */       
-  volatile rtems_unsigned32  DMAVAR;             /* 0x04 */       
-  volatile rtems_unsigned32  DMATC;              /* 0x08 */      
-  volatile rtems_unsigned32  DCSR;               /* 0x0c */     
-  volatile rtems_unsigned32  VMEBAR;             /* 0x10 */       
-  volatile rtems_unsigned32  RXDATA;             /* 0x14 */       
-  volatile rtems_unsigned32  RXADDR;             /* 0x18 */                           
-  volatile rtems_unsigned32  RXCTL;              /* 0x1c */      
-  volatile rtems_unsigned32  BUSSEL;             /* 0x20 */       
-  volatile rtems_unsigned32  IVECT;              /* 0x24 */      
-  volatile rtems_unsigned32  APBR;               /* 0x28 */     
-  volatile rtems_unsigned32  TXDATA;             /* 0x2c */       
-  volatile rtems_unsigned32  TXADDR;             /* 0x30 */       
-  volatile rtems_unsigned32  TXCTL;              /* 0x34 */      
-  volatile rtems_unsigned32  LMFIFO;             /* 0x38 */       
-  volatile rtems_unsigned32  MODE;               /* 0x3c */     
-  volatile rtems_unsigned32  SA64BAR;            /* 0x40 */        
-  volatile rtems_unsigned32  MA64BAR;            /* 0x44 */
-  volatile rtems_unsigned32  LAG;                /* 0x48 */
-  volatile rtems_unsigned32  DMAVTC;             /* 0x4c */
+  volatile uint32_t    DMALAR;             /* 0x00 */       
+  volatile uint32_t    DMAVAR;             /* 0x04 */       
+  volatile uint32_t    DMATC;              /* 0x08 */      
+  volatile uint32_t    DCSR;               /* 0x0c */     
+  volatile uint32_t    VMEBAR;             /* 0x10 */       
+  volatile uint32_t    RXDATA;             /* 0x14 */       
+  volatile uint32_t    RXADDR;             /* 0x18 */                           
+  volatile uint32_t    RXCTL;              /* 0x1c */      
+  volatile uint32_t    BUSSEL;             /* 0x20 */       
+  volatile uint32_t    IVECT;              /* 0x24 */      
+  volatile uint32_t    APBR;               /* 0x28 */     
+  volatile uint32_t    TXDATA;             /* 0x2c */       
+  volatile uint32_t    TXADDR;             /* 0x30 */       
+  volatile uint32_t    TXCTL;              /* 0x34 */      
+  volatile uint32_t    LMFIFO;             /* 0x38 */       
+  volatile uint32_t    MODE;               /* 0x3c */     
+  volatile uint32_t    SA64BAR;            /* 0x40 */        
+  volatile uint32_t    MA64BAR;            /* 0x44 */
+  volatile uint32_t    LAG;                /* 0x48 */
+  volatile uint32_t    DMAVTC;             /* 0x4c */
 
   /* Reserved */
-  volatile rtems_unsigned32  reserved_50_7F[12];
+  volatile uint32_t    reserved_50_7F[12];
 
   /* ACC Registers */
-  volatile rtems_unsigned8   STAT0_pad[3];       /* 0x80 */       
-  volatile rtems_unsigned8   STAT0;                        
-  volatile rtems_unsigned8   STAT1_pad[3];       /* 0x84 */       
-  volatile rtems_unsigned8   STAT1;                        
-  volatile rtems_unsigned8   GENCTL_pad[3];      /* 0x88 */        
-  volatile rtems_unsigned8   GENCTL;                        
-  volatile rtems_unsigned8   VINT_pad[3];        /* 0x8c */      
-  volatile rtems_unsigned8   VINT;                        
-  volatile rtems_unsigned8   VREQ_pad[3];        /* 0x90 */      
-  volatile rtems_unsigned8   VREQ;                        
-  volatile rtems_unsigned8   VARB_pad[3];        /* 0x94 */      
-  volatile rtems_unsigned8   VARB;                        
-  volatile rtems_unsigned8   ID_pad[3];          /* 0x98 */    
-  volatile rtems_unsigned8   ID;                        
-  volatile rtems_unsigned8   NA_pad[3];          /* 0x9c */    
-  volatile rtems_unsigned8   NA;                        
-  volatile rtems_unsigned8   _7IS_pad[3];        /* 0xa0 */      
-  volatile rtems_unsigned8   _7IS;                        
-  volatile rtems_unsigned8   LIS_pad[3];         /* 0xa4 */     
-  volatile rtems_unsigned8   LIS;                        
-  volatile rtems_unsigned8   UIE_pad[3];         /* 0xa8 */     
-  volatile rtems_unsigned8   UIE;                        
-  volatile rtems_unsigned8   LIE_pad[3];         /* 0xac */     
-  volatile rtems_unsigned8   LIE;                        
-  volatile rtems_unsigned8   VIE_pad[3];         /* 0xb0 */     
-  volatile rtems_unsigned8   VIE;                        
-  volatile rtems_unsigned8   IC10_pad[3];        /* 0xb4 */      
-  volatile rtems_unsigned8   IC10;                        
-  volatile rtems_unsigned8   IC32_pad[3];        /* 0xb8 */      
-  volatile rtems_unsigned8   IC32;                        
-  volatile rtems_unsigned8   IC54_pad[3];        /* 0xbc */      
-  volatile rtems_unsigned8   IC54;                        
+  volatile uint8_t     STAT0_pad[3];       /* 0x80 */       
+  volatile uint8_t     STAT0;                        
+  volatile uint8_t     STAT1_pad[3];       /* 0x84 */       
+  volatile uint8_t     STAT1;                        
+  volatile uint8_t     GENCTL_pad[3];      /* 0x88 */        
+  volatile uint8_t     GENCTL;                        
+  volatile uint8_t     VINT_pad[3];        /* 0x8c */      
+  volatile uint8_t     VINT;                        
+  volatile uint8_t     VREQ_pad[3];        /* 0x90 */      
+  volatile uint8_t     VREQ;                        
+  volatile uint8_t     VARB_pad[3];        /* 0x94 */      
+  volatile uint8_t     VARB;                        
+  volatile uint8_t     ID_pad[3];          /* 0x98 */    
+  volatile uint8_t     ID;                        
+  volatile uint8_t     NA_pad[3];          /* 0x9c */    
+  volatile uint8_t     NA;                        
+  volatile uint8_t     _7IS_pad[3];        /* 0xa0 */      
+  volatile uint8_t     _7IS;                        
+  volatile uint8_t     LIS_pad[3];         /* 0xa4 */     
+  volatile uint8_t     LIS;                        
+  volatile uint8_t     UIE_pad[3];         /* 0xa8 */     
+  volatile uint8_t     UIE;                        
+  volatile uint8_t     LIE_pad[3];         /* 0xac */     
+  volatile uint8_t     LIE;                        
+  volatile uint8_t     VIE_pad[3];         /* 0xb0 */     
+  volatile uint8_t     VIE;                        
+  volatile uint8_t     IC10_pad[3];        /* 0xb4 */      
+  volatile uint8_t     IC10;                        
+  volatile uint8_t     IC32_pad[3];        /* 0xb8 */      
+  volatile uint8_t     IC32;                        
+  volatile uint8_t     IC54_pad[3];        /* 0xbc */      
+  volatile uint8_t     IC54;                        
   /* Utility Registers */
-  volatile rtems_unsigned32  MISC;
-  volatile rtems_unsigned32  delay_line[3];
-  volatile rtems_unsigned32  MBOX0;
-  volatile rtems_unsigned32  MBOX1;
-  volatile rtems_unsigned32  MBOX2;
-  volatile rtems_unsigned32  MBOX3;
+  volatile uint32_t    MISC;
+  volatile uint32_t    delay_line[3];
+  volatile uint32_t    MBOX0;
+  volatile uint32_t    MBOX1;
+  volatile uint32_t    MBOX2;
+  volatile uint32_t    MBOX3;
 } SCV64_Registers;
 
@@ -121,5 +121,5 @@
 void SCV64_Generate_DUART_Interrupts() {
 
-  rtems_unsigned8 data;
+  uint8_t   data;
  
   /*
@@ -144,7 +144,7 @@
  *  This routine returns the SCV64 status register.
  */
-rtems_unsigned32 SCV64_Get_Interrupt()
+uint32_t   SCV64_Get_Interrupt()
 {
-  rtems_unsigned8 data;
+  uint8_t   data;
  
   /*
@@ -162,5 +162,5 @@
  * This routine returns the interrupt enable mask.
  */
-rtems_unsigned32 SCV64_Get_Interrupt_Enable()
+uint32_t   SCV64_Get_Interrupt_Enable()
 {
   /*
Index: c/src/lib/libbsp/powerpc/dmv177/sonic/dmvsonic.c
===================================================================
--- c/src/lib/libbsp/powerpc/dmv177/sonic/dmvsonic.c	(revision 3d04f8ba1e21081ee08d84fd6e83813b82bbebe5)
+++ c/src/lib/libbsp/powerpc/dmv177/sonic/dmvsonic.c	(revision ed9e44994265d3dccca845c7aade2f634184c339)
@@ -16,9 +16,9 @@
 void dmv177_sonic_write_register(
   void       *base,
-  unsigned32  regno,
-  unsigned32  value
+  uint32_t    regno,
+  uint32_t    value
 )
 {
-  volatile unsigned32 *p = base;
+  volatile uint32_t   *p = base;
 
 #if (SONIC_DEBUG & SONIC_DEBUG_PRINT_REGISTERS)
@@ -30,11 +30,11 @@
 }
 
-unsigned32 dmv177_sonic_read_register(
+uint32_t   dmv177_sonic_read_register(
   void       *base,
-  unsigned32  regno
+  uint32_t    regno
 )
 {
-  volatile unsigned32 *p = base;
-  unsigned32           value;
+  volatile uint32_t   *p = base;
+  uint32_t             value;
 
   value = p[regno];
Index: c/src/lib/libbsp/powerpc/dmv177/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/powerpc/dmv177/startup/bspstart.c	(revision 3d04f8ba1e21081ee08d84fd6e83813b82bbebe5)
+++ c/src/lib/libbsp/powerpc/dmv177/startup/bspstart.c	(revision ed9e44994265d3dccca845c7aade2f634184c339)
@@ -26,5 +26,5 @@
 rtems_configuration_table         BSP_Configuration;
 rtems_cpu_table                   Cpu_table;
-rtems_unsigned32                  bsp_isr_level;
+uint32_t                    bsp_isr_level;
 
 /*
@@ -33,5 +33,5 @@
 
 void bsp_postdriver_hook(void);
-void bsp_libc_init( void *, unsigned32, int );
+void bsp_libc_init( void *, uint32_t, int );
 
 /*PAGE
@@ -46,8 +46,8 @@
 {
   extern int end;
-  rtems_unsigned32 heap_start;
-  rtems_unsigned32 heap_size;
+  uint32_t   heap_start;
+  uint32_t   heap_size;
 
-  heap_start = (rtems_unsigned32) &end;
+  heap_start = (uint32_t) &end;
   if (heap_start & (CPU_ALIGNMENT-1))
     heap_start = (heap_start + CPU_ALIGNMENT) & ~(CPU_ALIGNMENT-1);
Index: c/src/lib/libbsp/powerpc/dmv177/startup/genpvec.c
===================================================================
--- c/src/lib/libbsp/powerpc/dmv177/startup/genpvec.c	(revision 3d04f8ba1e21081ee08d84fd6e83813b82bbebe5)
+++ c/src/lib/libbsp/powerpc/dmv177/startup/genpvec.c	(revision ed9e44994265d3dccca845c7aade2f634184c339)
@@ -43,5 +43,5 @@
  */
 EE_ISR_Type       ISR_Nodes [NUM_LIRQ_HANDLERS];
-rtems_unsigned16  Nodes_Used; 
+uint16_t    Nodes_Used; 
 Chain_Control     ISR_Array  [NUM_LIRQ];
 
@@ -64,7 +64,7 @@
 )
 { 
-  rtems_unsigned16      index;
+  uint16_t        index;
   rtems_boolean         is_active=FALSE;
-  rtems_unsigned32      scv64_status;
+  uint32_t        scv64_status;
   Chain_Node           *node;
   EE_ISR_Type          *ee_isr;
@@ -178,6 +178,6 @@
 )
 {
-  rtems_unsigned16 vec_idx  = vector - DMV170_IRQ_FIRST;
-  rtems_unsigned32 index;
+  uint16_t   vec_idx  = vector - DMV170_IRQ_FIRST;
+  uint32_t   index;
   
   /* 
Index: c/src/lib/libbsp/powerpc/dmv177/startup/vmeintr.c
===================================================================
--- c/src/lib/libbsp/powerpc/dmv177/startup/vmeintr.c	(revision 3d04f8ba1e21081ee08d84fd6e83813b82bbebe5)
+++ c/src/lib/libbsp/powerpc/dmv177/startup/vmeintr.c	(revision ed9e44994265d3dccca845c7aade2f634184c339)
@@ -35,6 +35,6 @@
 )
 {
-  volatile rtems_unsigned8  *VME_interrupt_enable;
-  rtems_unsigned8  value;
+  volatile uint8_t    *VME_interrupt_enable;
+  uint8_t    value;
 
 #if 0
@@ -68,6 +68,6 @@
 )
 {
-  volatile rtems_unsigned8  *VME_interrupt_enable;
-  rtems_unsigned8  value;
+  volatile uint8_t    *VME_interrupt_enable;
+  uint8_t    value;
 
 #if 0
Index: c/src/lib/libbsp/powerpc/dmv177/timer/timer.c
===================================================================
--- c/src/lib/libbsp/powerpc/dmv177/timer/timer.c	(revision 3d04f8ba1e21081ee08d84fd6e83813b82bbebe5)
+++ c/src/lib/libbsp/powerpc/dmv177/timer/timer.c	(revision ed9e44994265d3dccca845c7aade2f634184c339)
@@ -15,5 +15,5 @@
 #include <bsp.h>
 
-rtems_unsigned64 Timer_driver_Start_time;
+uint64_t   Timer_driver_Start_time;
 
 rtems_boolean Timer_driver_Find_average_overhead;
@@ -65,7 +65,7 @@
 int Read_timer()
 {
-  rtems_unsigned64  clicks;
-  rtems_unsigned64  total64;
-  rtems_unsigned32  total;
+  uint64_t    clicks;
+  uint64_t    total64;
+  uint32_t    total;
 
   /* approximately CLOCK_SPEED clicks per microsecond */
@@ -77,7 +77,7 @@
   total64 = clicks - Timer_driver_Start_time;
 
-  assert( total64 <= 0xffffffff );  /* fits into a unsigned32 */
+  assert( total64 <= 0xffffffff );  /* fits into a uint32_t   */
 
-  total = (rtems_unsigned32) total64;
+  total = (uint32_t) total64;
 
   if ( Timer_driver_Find_average_overhead == 1 )
Index: c/src/lib/libbsp/powerpc/dmv177/tod/todcfg.c
===================================================================
--- c/src/lib/libbsp/powerpc/dmv177/tod/todcfg.c	(revision 3d04f8ba1e21081ee08d84fd6e83813b82bbebe5)
+++ c/src/lib/libbsp/powerpc/dmv177/tod/todcfg.c	(revision ed9e44994265d3dccca845c7aade2f634184c339)
@@ -64,8 +64,8 @@
 boolean dmv177_icm7170_probe(int minor)
 {
-  volatile unsigned16 *card_resource_reg;
-  unsigned16 v;
+  volatile uint16_t   *card_resource_reg;
+  uint16_t   v;
 
-  card_resource_reg = (volatile unsigned16 *) DMV170_CARD_RESORCE_REG;
+  card_resource_reg = (volatile uint16_t*) DMV170_CARD_RESORCE_REG;
 
   v = *card_resource_reg & DMV170_RTC_INST_MASK;
